//go:build windows

package yu_sys

import (
	_ "unsafe"
)

//go:cgo_import_dynamic SHCreateDirectoryExW SHCreateDirectoryExW "shell32.dll"
//go:linkname SHCreateDirectoryExW SHCreateDirectoryExW
var SHCreateDirectoryExW Address

const (
	ERROR_BAD_PATHNAME         = 161  // pszPath 参数设置为相对路径。
	ERROR_FILENAME_EXCED_RANGE = 206  // pszPath 指向的路径太长。
	ERROR_PATH_NOT_FOUND       = 3    // 系统找不到 pszPath 指向的路径。路径可能包含无效的条目。
	ERROR_FILE_EXISTS          = 80   // 目录存在。
	ERROR_ALREADY_EXISTS       = 183  // 目录存在。
	ERROR_CANCELLED            = 1223 // 用户取消了操作。
)
